#

API Docs for:
Show: Inherited Protected Private Deprecated

# ShapeGroup Class

Defined in: `input/charts/ShapeGroup.js:25`
Module: graphics

Abstract class for creating groups of shapes with the same styles and dimensions.

- Index
- Methods

## Item Index

### Methods

- _draw
- _getRadiusCollection

## Methods

### `_draw`

() private

Defined in `input/charts/ShapeGroup.js:40`

Updates the shape.

### `_getRadiusCollection`

(

- `val`

)
private

Defined in `input/charts/ShapeGroup.js:102`

Parses and array of lengths into radii

#### Parameters:

- `val` Array

  Array of lengths

#### Returns:

Array